# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "micro-games-kit"
version = "0.28.1"
authors = ["Patryk 'PsichiX' Budzynski <psichix@gmail.com>"]
build = false
exclude = [
    "resources/",
    "templates/",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Micro Games Kit"
homepage = "https://github.com/PsichiX/micro-games-kit"
documentation = "https://docs.rs/micro-games-kit"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/PsichiX/micro-games-kit"

[lib]
name = "micro_games_kit"
path = "src/lib.rs"

[[example]]
name = "hello_world"
path = "examples/hello_world.rs"

[[example]]
name = "path"
path = "examples/path.rs"

[[example]]
name = "pcg_island"
path = "examples/pcg_island.rs"

[[example]]
name = "scripting"
path = "examples/scripting.rs"

[dependencies.anim8]
version = "1.1"

[dependencies.emergent]
version = "1.7"

[dependencies.fontdue]
version = "0.9"

[dependencies.gilrs]
version = "0.11"

[dependencies.image]
version = "0.25"

[dependencies.intuicio-backend-vm]
version = "0.39"

[dependencies.intuicio-core]
version = "0.39"

[dependencies.intuicio-data]
version = "0.39"

[dependencies.intuicio-derive]
version = "0.39"

[dependencies.intuicio-framework-ecs]
version = "0.39"

[dependencies.intuicio-frontend-simpleton]
version = "0.39"

[dependencies.kira]
version = "0.9"

[dependencies.noise]
version = "0.9"

[dependencies.rand]
version = "0.8"

[dependencies.raui-core]
version = "0.64"

[dependencies.raui-immediate]
version = "0.64"

[dependencies.raui-immediate-widgets]
version = "0.64"

[dependencies.rstar]
version = "0.12"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.spitfire-core]
version = "0.29"

[dependencies.spitfire-draw]
version = "0.29"

[dependencies.spitfire-fontdue]
version = "0.29"

[dependencies.spitfire-glow]
version = "0.29"

[dependencies.spitfire-gui]
version = "0.29"

[dependencies.spitfire-input]
version = "0.29"

[dependencies.toml]
version = "0.8"

[dependencies.typid]
version = "1"

[dependencies.vek]
version = "0.17"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.glutin]
version = "0.28"

[target.'cfg(target_arch = "wasm32")'.dependencies.getrandom]
version = "0.2"
features = ["js"]

[target.'cfg(target_arch = "wasm32")'.dependencies.instant]
version = "0.1"
features = ["wasm-bindgen"]

[target.'cfg(target_arch = "wasm32")'.dependencies.winit]
version = "0.30"
